Bug 442914 - Review Request: eg - Git for mere mortals
Review Request: eg - Git for mere mortals
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
: 458543 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 11:36 EDT by James Bowes
Modified: 2013-01-10 04:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 12:37:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2008-04-17 11:36:38 EDT
Spec URL: http://jbowes.fedorapeople.org/tmp/eg.spec
SRPM URL: http://jbowes.fedorapeople.org/tmp/eg-0.70-1.fc9.src.rpm
Description:
Easy Git (eg) is a wrapper for git, designed to make git easy to learn and use.
Comment 2 Dan Horák 2008-04-17 15:49:20 EDT
OK	source files match upstream
	    (diff between supplied archive and the one produced directly from git is empty)
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (GPL). License text not included upstream.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (rawhide/X86_64).
N/A	debuginfo package looks complete.
OK*	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
N/A	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

rpmlint output:

eg.noarch: I: checking
eg.noarch: W: non-conffile-in-etc /etc/bash_completion.d/eg
eg.src: I: checking

This a common issue of packages with "bash completion" support where
/etc/bash_completion.d directory owned by the package. Trigger based solution is
mentioned at http://fedoraproject.org/wiki/ToshioKuratomi/TriggerScripts.

package is APPROVED
Comment 3 James Bowes 2008-04-18 07:39:26 EDT
Thanks for the review, Dan!
Comment 4 James Bowes 2008-04-18 07:42:48 EDT
New Package CVS Request
=======================
Package Name: eg
Short Description: Git for mere mortals
Owners: jbowes
Branches: F-8
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-04-18 12:28:54 EDT
cvs done.
Comment 6 Dan Horák 2008-04-25 03:51:59 EDT
James, you should close the review bug as it was already built in Koji.
Comment 7 James Bowes 2008-04-25 12:37:15 EDT
Thanks Dan, I completely forgot.
Comment 8 Dan Horák 2008-08-10 14:13:35 EDT
*** Bug 458543 has been marked as a duplicate of this bug. ***
Comment 9 Terje Røsten 2008-10-21 15:09:32 EDT
James, what's up here?

I can't find this package in any repo, could you please have a look?

BTW: upstream version is 0.93.
Comment 10 James Bowes 2008-11-05 08:55:37 EST
(In reply to comment #9)
> James, what's up here?
> 
> I can't find this package in any repo, could you please have a look?
> 
> BTW: upstream version is 0.93.

Ha, guess i forgot to submit it to bodhi. Anyways, it's there now. I'll update to a newer version shortly.

Thanks Terje!
Comment 11 Terje Røsten 2008-12-06 08:12:58 EST
Now you can eg push to stable, eg has been in testing in over 4 weeks.

Note You need to log in before you can comment on or make changes to this bug.